## kapman 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kapman VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.2")
set (KF_MIN_VERSION "5.91.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)
include(ECMDeprecationSettings)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets Svg)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS SvgWidgets)
endif()
find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    Config
    Crash
    DBusAddons
    DocTools
    Config
    I18n
    ConfigWidgets
    XmlGui
    )

if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(KDEGames6 7.5.0 REQUIRED)
else()
    find_package(KF5KDEGames 7.3.0 REQUIRED)
endif()

ecm_set_disabled_deprecation_versions(
    QT 6.4
    KF 5.103
    KDEGAMES 7.3
)

add_subdirectory(doc)
add_subdirectory(icons)
add_subdirectory(sounds)
add_subdirectory(themes)
add_subdirectory(src)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KAPMAN
    VERSION_HEADER kapman_version.h
)

add_executable(kapman)

target_sources(kapman PRIVATE
    bonus.cpp
    bonus.h
    cell.cpp
    cell.h
    character.cpp
    character.h
    characteritem.cpp
    characteritem.h
    element.cpp
    element.h
    elementitem.cpp
    elementitem.h
    energizer.cpp
    energizer.h
    game.cpp
    game.h
    gamescene.cpp
    gamescene.h
    gameview.cpp
    gameview.h
    ghost.cpp
    ghost.h
    ghostitem.cpp
    ghostitem.h
    kapman.cpp
    kapman.h
    kapmanitem.cpp
    kapmanitem.h
    kapmanmainwindow.cpp
    kapmanmainwindow.h
    kapmanparser.cpp
    kapmanparser.h
    main.cpp
    maze.cpp
    maze.h
    mazeitem.cpp
    mazeitem.h
    pill.cpp
    pill.h

    kapman.qrc
)

kconfig_add_kcfg_files(kapman settings.kcfgc)

file(GLOB ICONS_SRCS "${CMAKE_SOURCE_DIR}/icons/*-apps-kapman.png")
ecm_add_app_icon(kapman ICONS ${ICONS_SRCS})

if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(kapman KDEGames6)
else()
    target_link_libraries(kapman KF5KDEGames)
endif()

target_link_libraries(kapman
    KF${KF_MAJOR_VERSION}::CoreAddons
    KF${KF_MAJOR_VERSION}::DBusAddons
    KF${KF_MAJOR_VERSION}::XmlGui
    KF${KF_MAJOR_VERSION}::Crash
    Qt${QT_MAJOR_VERSION}::Svg
    Qt${QT_MAJOR_VERSION}::Xml
)
if (QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(kapman Qt6::SvgWidgets)
endif()
install(TARGETS kapman ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kapman.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kapman.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES defaultmaze.xml DESTINATION ${KDE_INSTALL_DATADIR}/kapman)

=== themes/CMakeLists.txt ===
set(themes
    invisible.desktop
    invisible_preview.png
    invisible.svgz
    matches.desktop
    matches_preview.png
    matches.svgz
    mountain.copyright
    mountain.desktop
    mountain_preview.png
    mountain.svgz
    mummies_crypt.desktop
    mummies_crypt_preview.png
    mummies_crypt.svgz
    retro.desktop
    retro_preview.png
    retro.svgz
)

install(FILES ${themes} DESTINATION ${KDE_INSTALL_DATADIR}/kapman/themes)

=== debian/changelog ===
kapman (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:58:04 +1100

kapman (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:42:44 +0000

kapman (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:36:32 -0700

=== debian/control ===
Source: kapman
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               gettext,
               libkf5config-dev (>= 5.91.0~),
               libkf5configwidgets-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5crash-dev (>= 5.91.0~),
               libkf5dbusaddons-dev (>= 5.91.0~),
               libkf5doctools-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5kdegames-dev (>= 4:23.08.5~),
               libkf5xmlgui-dev (>= 5.91.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman

Package: kapman
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Pac-Man clone
 Kapman is a clone of the well known game Pac-Man. You must go through the
 levels escaping ghosts in a maze. You lose a life when a ghost eats you, but
 you can eat the ghosts for a few seconds when eating an energizer. You win
 points when eating pills, energizers, and bonus, and you win one life for
 each 10,000 points.  When you have eaten all the pills and energizers of a
 level, you go to the next level, and the player and ghost speeds increase.
 .
 This package is part of the KDE games module.

## kapman 24.08.2

=== debian/changelog ===
kapman (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:52:11 -0500

kapman (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update build dependencies and rules for KF6.
  * Update Standards-Version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 01 Nov 2024 21:00:18 -0500

=== debian/control ===
Source: kapman
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev,
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman

Package: kapman
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: Pac-Man clone
 Kapman is a clone of the well known game Pac-Man. You must go through the
 levels escaping ghosts in a maze. You lose a life when a ghost eats you, but
 you can eat the ghosts for a few seconds when eating an energizer. You win
 points when eating pills, energizers, and bonus, and you win one life for
 each 10,000 points.  When you have eaten all the pills and energizers of a
 level, you go to the next level, and the player and ghost speeds increase.
 .
 This package is part of the KDE games module.

## kapman 24.12.0

=== debian/changelog ===
kapman (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:06:19 +0000

kapman (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:04:02 +0000

kapman (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 12:46:47 +0000

kapman (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:37:22 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev,
+               libkdegames6-dev (>= 4:24.12.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kapman 24.12.1

=== debian/changelog ===
kapman (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:26:56 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:24.12.0~),
+               libkdegames6-dev (>= 4:24.12.1~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kapman 24.12.2

=== debian/changelog ===
kapman (4:24.12.2-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 01 Mar 2025 00:22:00 +0100

kapman (4:24.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 15 Jan 2025 17:33:55 +0100

kapman (4:24.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 20 Dec 2024 21:15:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kapman
 Section: games
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -11,7 +10,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:24.12.1~),
+               libkdegames6-dev,
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -26,8 +25,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kapman
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kapman.git
 
 Package: kapman
 Architecture: any

## kapman 24.12.3

=== debian/changelog ===
kapman (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current version of libkdegames.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 11:44:01 +0000

kapman (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 15:19:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kapman
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -10,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev,
+               libkdegames6-dev (>= 4:24.12.3~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -25,8 +26,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kapman
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kapman.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
 
 Package: kapman
 Architecture: any

## kapman 25.04.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "04")
set(RELEASE_SERVICE_VERSION_MICRO "0")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kapman VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddAppIcon)
include(ECMDeprecationSettings)
include(KDEGitCommitHooks)
include(KDEClangFormat)

include(InternalMacros)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Svg
    SvgWidgets
    Widgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    Config
    Crash
    DBusAddons
    DocTools
    Config
    I18n
    ConfigWidgets
    WidgetsAddons
    XmlGui
    IconThemes
)

find_package(KDEGames6 6.0.0 REQUIRED)

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.12.0
    KDEGAMES 6.0
)

add_subdirectory(doc)
add_subdirectory(icons)
add_subdirectory(sounds)
add_subdirectory(themes)
add_subdirectory(src)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kapman (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:25:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: kapman
 Section: games
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:24.12.3~),
+               libkdegames6-dev (>= 4:6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -19,15 +17,17 @@
                libkf6dbusaddons-dev (>= 6.0.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
+               libkf6iconthemes-dev (>= 6.0.0~),
+               libkf6widgetsaddons-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
+Homepage: https://apps.kde.org/kapman/
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kapman
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kapman.git
 
 Package: kapman
 Architecture: any

## kapman 25.04.3

=== debian/changelog ===
kapman (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:38:29 +0100

kapman (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:40:11 +0100

kapman (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:02:47 +0100

kapman (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:44:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: kapman
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:6.0.0~),
+               libkdegames6-dev (>= 4:25.04.3~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
@@ -17,17 +19,15 @@
                libkf6dbusaddons-dev (>= 6.0.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
-               libkf6iconthemes-dev (>= 6.0.0~),
-               libkf6widgetsaddons-dev (>= 6.0.0~),
                libkf6xmlgui-dev (>= 6.0.0~),
                pkg-kde-tools,
                qt6-base-dev (>= 6.5.0~),
                qt6-svg-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://apps.kde.org/kapman/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kapman
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kapman.git
+Homepage: http://games.kde.org/
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
 
 Package: kapman
 Architecture: any

## kapman 25.07.80

=== debian/changelog ===
kapman (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:04:42 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.04.3~),
+               libkdegames6-dev (>= 4:25.07.80~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kapman 25.07.90

=== debian/changelog ===
kapman (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:31:02 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.07.80~),
+               libkdegames6-dev (>= 4:25.07.90~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kapman 25.08.0

=== debian/changelog ===
kapman (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:50:35 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.07.90~),
+               libkdegames6-dev (>= 4:25.08.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kapman 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kapman VERSION ${RELEASE_SERVICE_VERSION})
@@ -55,7 +55,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.9.0
-    KF 6.12.0
+    KF 6.15.0
     KDEGAMES 6.0
 )

=== sounds/CMakeLists.txt ===
set(sounds_ogg
    bonus.ogg
    energizer.ogg
    gameover.ogg
    ghost.ogg
    levelup.ogg
    life.ogg
    pill.ogg
)

install(FILES ${sounds_ogg} DESTINATION ${KDE_INSTALL_SOUNDDIR}/kapman)

=== debian/changelog ===
kapman (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:06:25 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.0~),
+               libkdegames6-dev (>= 4:25.08.1~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kapman 25.08.1+p24.04+vstable+git20250926.0913

=== debian/changelog ===
kapman (4:25.08.1+p24.04+vstable+git20250926.0913-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:13:45 +0000

kapman (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:37:52 +0000

kapman (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:12:26 +0000

kapman (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:54:56 +0000

kapman (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:02:07 +0000

kapman (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:52:15 +0000

kapman (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:41:29 +0000

kapman (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:10:36 +0000

kapman (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:09:03 +0000

kapman (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:58:43 +0000

kapman (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:55:51 +0000

kapman (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:56:44 +0000

kapman (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:34:00 +0000

kapman (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:09:28 +0000

kapman (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:17:13 +0000

kapman (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:53:51 +0000

kapman (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:18:57 +0000

kapman (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:06:23 +0000

kapman (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:00:53 +0000

kapman (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:41:27 +0000

kapman (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 13:35:27 +0000

kapman (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:17:39 +0000

kapman (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 20:44:05 +0000

kapman (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:48:59 +0000

kapman (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:36:59 +0000

kapman (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:16:15 +0000

kapman (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 15:51:07 +0000

kapman (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:04:01 +0000

kapman (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:36:08 +0000

kapman (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:11:58 +0000

kapman (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:19:07 +0000

kapman (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:40:56 +0000

kapman (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:28:49 +0000

kapman (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:41:32 +0000

kapman (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:27:41 +0000

kapman (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:51:00 +0000

kapman (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:45:56 +0000

kapman (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:00:20 +0000

kapman (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:04:21 +0000

kapman (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:00:04 +0000

kapman (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:36:38 +0000

kapman (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 10:16:04 +0000

kapman (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:31:37 +0000

kapman (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021.12.28:28 +0000

kapman (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:49:48 +0000

kapman (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:21:58 +0000

kapman (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:52:29 +0000



## kapman 25.08.1+p24.04+vstable+git20251001.0711

=== debian/changelog ===
kapman (4:25.08.1+p24.04+vstable+git20251001.0711-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 07:11:51 +0000

## kapman 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kapman VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kapman (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:41:15 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.1~),
+               libkdegames6-dev (>= 4:25.08.2~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kapman 25.08.2+p24.04+vstable+git20251012.0022

=== debian/changelog ===
kapman (4:25.08.2+p24.04+vstable+git20251012.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 00:22:39 +0000

kapman (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:27:34 +0000

## kapman 25.08.2+p24.04+vstable+git20251019.0452

=== debian/changelog ===
kapman (4:25.08.2+p24.04+vstable+git20251019.0452-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 04:52:14 +0000

## kapman 25.08.2+p24.04+vstable+git20251031.1033

=== debian/changelog ===
kapman (4:25.08.2+p24.04+vstable+git20251031.1033-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:33:57 +0000

## kapman 25.08.2+p24.04+vunstable+git20251015.1542

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kapman VERSION ${RELEASE_SERVICE_VERSION})
@@ -55,7 +55,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.9.0
-    KF 6.15.0
+    KF 6.19.0
     KDEGAMES 6.0
 )

=== debian/changelog ===
kapman (4:25.08.2+p24.04+vunstable+git20251015.1542-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:42:25 +0000

=== debian/control ===
Source: kapman
Section: games
Priority: optional
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 12),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kxmlgui-dev,
               libkdegames6-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-svg-dev
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kapman.git
Vcs-Browser: https://invent.kde.org/neon/kde/kapman
Maintainer: Neon CI <neon@kde.org>

Package: kapman
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: khelpcenter
Description: Pac-Man clone
 Kapman is a clone of the well known game Pac-Man. You must go through the
 levels escaping ghosts in a maze. You lose a life when a ghost eats you, but
 you can eat the ghosts for a few seconds when eating an energizer. You win
 points when eating pills, energizers, and bonus, and you win one life for
 each 10,000 points.  When you have eaten all the pills and energizers of a
 level, you go to the next level, and the player and ghost speeds increase.
 .
 This package is part of the KDE games module.

## kapman 25.08.2+p24.04+vunstable+git20251020.1314

=== debian/changelog ===
kapman (4:25.08.2+p24.04+vunstable+git20251020.1314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 13:14:24 +0000

## kapman 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kapman VERSION ${RELEASE_SERVICE_VERSION})
@@ -55,7 +55,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.9.0
-    KF 6.19.0
+    KF 6.15.0
     KDEGAMES 6.0
 )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -54,23 +54,30 @@
 file(GLOB ICONS_SRCS "${CMAKE_SOURCE_DIR}/icons/*-apps-kapman.png")
 ecm_add_app_icon(kapman ICONS ${ICONS_SRCS})
 
-if (QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(kapman KDEGames6)
-else()
-    target_link_libraries(kapman KF5KDEGames)
+if(APPLE)
+    set_target_properties(kapman PROPERTIES
+        MACOSX_BUNDLE_DISPLAY_NAME "Kapman"
+        MACOSX_BUNDLE_BUNDLE_NAME "Kapman"
+        MACOSX_BUNDLE_LONG_VERSION_STRING "Kapman ${RELEASE_SERVICE_VERSION}"
+        MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}"
+        MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}"
+        MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.kapman"
+        MACOSX_BUNDLE_COPYRIGHT "2024 The Kapman Developers")
 endif()
 
 target_link_libraries(kapman
-    KF${KF_MAJOR_VERSION}::CoreAddons
-    KF${KF_MAJOR_VERSION}::DBusAddons
-    KF${KF_MAJOR_VERSION}::XmlGui
-    KF${KF_MAJOR_VERSION}::Crash
-    Qt${QT_MAJOR_VERSION}::Svg
-    Qt${QT_MAJOR_VERSION}::Xml
+    KDEGames6
+    KF6::CoreAddons
+    KF6::DBusAddons
+    KF6::XmlGui
+    KF6::Crash
+    KF6::I18n
+    KF6::IconThemes
+    Qt6::Svg
+    Qt6::SvgWidgets
+    Qt6::Xml
 )
-if (QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(kapman Qt6::SvgWidgets)
-endif()
+
 install(TARGETS kapman ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 install(PROGRAMS org.kde.kapman.desktop DESTINATION ${KDE_INSTALL_APPDIR})
 install(FILES org.kde.kapman.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== themes/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Friedrich W. H. Kossebau <kossebau@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

function(install_theme name)
    cmake_parse_arguments(ARG "" "SVG;PREVIEW" "" ${ARGN})
    if (NOT ARG_SVG)
        set(ARG_SVG "${name}.svg")
    endif()
    if (NOT ARG_PREVIEW)
        set(ARG_PREVIEW "${name}_preview.png")
    endif()
    set(svgz "${CMAKE_CURRENT_BINARY_DIR}/${ARG_SVG}z")
    generate_svgz(${ARG_SVG} ${svgz} "theme-")
    install(
        FILES
            ${name}.desktop
            ${ARG_PREVIEW}
            ${svgz}
        DESTINATION ${KDE_INSTALL_DATADIR}/kapman/themes
    )
endfunction()

install_theme(invisible)
install_theme(matches)
install_theme(mountain)
install_theme(mummies_crypt)
install_theme(retro)

=== debian/changelog ===
kapman (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:21:54 +0000

=== debian/control ===
Source: kapman
Section: games
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkdegames6-dev (>= 4:25.08.3~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6dbusaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               pkg-kde-tools,
               qt6-base-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kapman

Package: kapman
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: khelpcenter,
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Description: Pac-Man clone
 Kapman is a clone of the well known game Pac-Man. You must go through the
 levels escaping ghosts in a maze. You lose a life when a ghost eats you, but
 you can eat the ghosts for a few seconds when eating an energizer. You win
 points when eating pills, energizers, and bonus, and you win one life for
 each 10,000 points.  When you have eaten all the pills and energizers of a
 level, you go to the next level, and the player and ghost speeds increase.
 .
 This package is part of the KDE games module.

## kapman 25.08.3+p24.04+vunstable+git20251201.0124

=== debian/changelog ===
kapman (4:25.08.3+p24.04+vunstable+git20251201.0124-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 01:24:03 +0000

kapman (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:38:51 +1000

## kapman 25.08.3+p24.04+vunstable+git20251204.0528

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kapman VERSION ${RELEASE_SERVICE_VERSION})
@@ -54,8 +54,8 @@
 find_package(KDEGames6 6.0.0 REQUIRED)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.15.0
+    QT 6.10.0
+    KF 6.19.0
     KDEGAMES 6.0
 )

=== debian/changelog ===
kapman (4:25.08.3+p24.04+vunstable+git20251204.0528-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:28:09 +0000

## kapman 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "26")
-set(RELEASE_SERVICE_VERSION_MINOR "03")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kapman VERSION ${RELEASE_SERVICE_VERSION})
@@ -54,7 +54,7 @@
 find_package(KDEGames6 6.0.0 REQUIRED)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
+    QT 6.9.0
     KF 6.19.0
     KDEGAMES 6.0
 )

=== debian/changelog ===
kapman (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:54:30 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.08.3~),
+               libkdegames6-dev (>= 4:25.11.80~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kapman 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kapman VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kapman (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:01:03 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.11.80~),
+               libkdegames6-dev (>= 4:25.11.90~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kapman 25.12.0

=== debian/changelog ===
kapman (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:16:30 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
-               libkdegames6-dev (>= 4:25.11.90~),
+               libkdegames6-dev (>= 4:25.12.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),

## kapman 25.12.0+p24.04+vstable+git20251208.1654

=== debian/changelog ===
kapman (4:25.12.0+p24.04+vstable+git20251208.1654-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 16:54:43 +0000

kapman (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:34:52 +1000

## kapman 25.12.0+p24.04+vstable+git20251212.0433

=== debian/changelog ===
kapman (4:25.12.0+p24.04+vstable+git20251212.0433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 04:33:07 +0000

## kapman 25.12.0+p24.04+vstable+git20260105.1015

=== debian/changelog ===
kapman (4:25.12.0+p24.04+vstable+git20260105.1015-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:15:12 +0000
